Java error: pop up error claiming that it is trying to access 1.5

Document ID : KB000089909
Last Modified Date : 14/04/2018
Show Technical Document Details
Issue:
Java error: pop up error claiming that it is trying to access 1.5
Resolution:
Detailed Description and Symptoms
When trying to start the RA Informatica Agent, there is a pop-up Java error which tells you that it cannot start due to running Java 1.5. 

Investigation
After installing Java 1.6 in the PATH variable, the java -version command came back with 1.6, but the error for accessing Java 1.5 persists.  Even after a machine reboot, the system is coming back with 1.6.  This is obviously not an OS error since Windows believes it should be accessing 1.6, but after clearing the Java cache there is some connection remaining between the RA Informatica startup and the OS.

Solution
We need to force the correct Java verison to be used, so the easiest way is to change the RA start up command.  The can be done from the Service Manager Dialog.

Set the java version in the Service Manager Dialog on the Command line like this: 
C:<path to java 1.6>\bin\java -jar C:<path to the Agent directory>\bin\ucxjcitx.jar

For example, the Command line might look like this:
C:\Program Files\Java\jre6\bin\java -jar C:\UC4\Agents\Informatica\bin\ucxjcitx.jar